Qt Cryptographic Architecture: QCA::DLGroup Class Reference

# QCA::DLGroup Class Reference
[QCA user API]

A discrete logarithm group. More...

`#include <QtCrypto>`

Collaboration diagram for QCA::DLGroup:

[legend]

List of all members.

## Public Member Functions
| DLGroup (const DLGroup &from)
| DLGroup (const BigInteger &p, const BigInteger &g)
| DLGroup (const BigInteger &p, const BigInteger &q, const BigInteger &g)
BigInteger | g () const
bool | isNull () const
DLGroup & | operator= (const DLGroup &from)
BigInteger | p () const
BigInteger | q () const
## Static Public Member Functions
static QList< DLGroupSet > | supportedGroupSets (const QString &provider=QString())

## Detailed Description

A discrete logarithm group.

## Constructor & Destructor Documentation

QCA::DLGroup::DLGroup | ( | const BigInteger & | p,
|  | const BigInteger & | q,
|  | const BigInteger & | g |
| ) |  |  |

Construct a discrete logarithm group from raw parameters.

Parameters:

  | p | the P parameter
  | q | the Q parameter
  | g | the G parameter

QCA::DLGroup::DLGroup | ( | const BigInteger & | p,
|  | const BigInteger & | g |
| ) |  |  |

Construct a discrete logarithm group from raw parameters.

Parameters:

  | p | the P parameter
  | g | the G parameter

QCA::DLGroup::DLGroup | ( | const DLGroup & | from | ) |

Standard copy constructor.

Parameters:

  | from | the group to copy from

## Member Function Documentation

BigInteger QCA::DLGroup::g | ( |  | ) | const

Provide the g component of the group.

bool QCA::DLGroup::isNull | ( |  | ) | const

Test if the group is empty.

DLGroup& QCA::DLGroup::operator= | ( | const DLGroup & | from | ) |

Standard assignment operator.

Parameters:

  | from | the DLGroup to copy from

BigInteger QCA::DLGroup::p | ( |  | ) | const

Provide the p component of the group.

BigInteger QCA::DLGroup::q | ( |  | ) | const

Provide the q component of the group.

static QList<DLGroupSet> QCA::DLGroup::supportedGroupSets | ( | const QString & | provider = `QString()` | ) | `[static]`

Provide a list of the supported group sets.

Parameters:

  | provider | the provider to report which group sets are available. If not specified, all providers will be checked

The documentation for this class was generated from the following file:

- qca_publickey.h